__author__ = 'gabrielet'

from utils.pattern.singleton import Singleton

"""
This class implements a label generator. Generation simply consists in incrementing a counter.
"""


@Singleton
class LabelGenerator(object):

    def __init__(self):
        # VPN label
        self.vpn_label = 0
        # PE label
        self.pe_label = 0

    def get_vpn_label(self):
        self.vpn_label += 1
        return self.vpn_label

    def get_pe_label(self):
        self.pe_label += 1
        return self.pe_label